Subject: Re: [PATCH net-next 2/5] net/sched: flower: Allow matching on layer 2 miss

From: Simon Horman <[email-masked]>
Date: Fri, 19 May 2023 13:27:56 +0200

On Thu, May 18, 2023 at 02:33:25PM +0300, Ido Schimmel wrote:
> Add the 'TCA_FLOWER_L2_MISS' netlink attribute that allows user space to
> match on packets that encountered a layer 2 miss. The miss indication is
> set as metadata in the skb by the bridge driver upon FDB/MDB lookup
> miss.
> 
> Signed-off-by: Ido Schimmel <[email-masked]>

Hi Ido,

these changes look good to me.

If I was doing this I would split the flow_dissector and cls_flower
changes into separate patches: they are different, though related, things.
But I don't feel strongly about that.

Reviewed-by: Simon Horman <[email-masked]>